AutoCAD .NET :: Create Line With Multiple Insertion Points?
Mar 9, 2012
I am trying to create a tool that looks similar to Line in Autocad. I got the solution for dynamic multiple insertion points but the issue is the line is only visible after the end point is selected. But i want the line to be visible before selecting the end point, this should be as same as the line we use in autocad. Following is the code i used to create a line with multiple insertion points.
Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument
Dim acCurEd As Editor = acDoc.Editor
Using lock As DocumentLock =
[Code]....
View 6 Replies
ADVERTISEMENT
Feb 14, 2013
I have numerous text objects I want to rotate 180 while retaining each text objects insertion point. There's got to be an easy way to do this.
Long explanation: I created an annotation template to label pipe diameters on an imported shapefile. Everythings good, labels are parallel with lines, except for the fact that some labels are upside down. Is there an expression that would eliminate this? In my annotation template, my rotation expression equals the "angle" field of the object. My "quick and dirty" fix was to burst the annoation labels, and manually rotate necessary text, which wasn't a huge headache since I'm dealing with a relatively small number of labels, but in the future I might have hundreds of upside down labels.
View 3 Replies
View Related
Oct 9, 2013
I have the need to put COGO points along the vertices of multiple 3D polylines in a DWG. I know how to do this individually for each 3DPL via the "Points>Create - Miscellaneous > Polyline Vertices - Automatic" or "CREATEPTPLYLNCTRVERTAUTO" command. Need tip on how to do this in a batch format for all the selected 3D PLines in the drawing without having to select each individual 3DPL and having to hit return to enter a description for each individual vertex? I can do without having to add a description and can leave each description blank or enter the same description for each.
I'm Using C3D2013.
View 6 Replies
View Related
Nov 24, 2013
I want to create new vertex points in feature line and 3dpol.
I have this:
try
{
if (obj.GetType() == typeof(Autodesk.AutoCAD.DatabaseServices.Polyline3d)) {
Polyline3d p3d = (Polyline3d)trans.GetObject(entRes.ObjectId, OpenMode.ForWrite);
[Code]....
In this code line:
oFtrLn.InsertFeaturePoint(punt, AeccLandFeatureLinePointType.aeccLandFeatureLinePointPI);
always catches the same Exception "the value is not within the expected range" .I have translated it because I get "El valor no está dentro del intervalo esperado". Perhaps is this: " Value does not fall within the expected range.".
I have tried it with different point3d values but always catches Exception.
With pol3d I have similar problem.
Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit
View 4 Replies
View Related
Oct 25, 2012
Is there a somewhat easy way to draw this blue line, other than manually click on each anchor points at the top of the black lines?
View 32 Replies
View Related
Oct 6, 2012
I want to draw a line between the two sketches visible on the image below. The line should be in the plane visible. The starting point of the line should be from wherever the top sketch intersects the plane of the current sketch. The finnish point of the line should be wherever a line of the bottom sketch intersects the current sketch plane.
There is no tooltip appearing that would allow me to quickly "attach" the starting line to the correct position. Is there such an aid, and how do i turn it on?
View 1 Replies
View Related
Jul 22, 2012
I am studying for an MSc in Geology and am doing seismic mapping. To tidy up my maps I exported them to ArcGIS so I could join various ones together and also contour the maps. Then I exported the GIS maps into illustrator so I could attempt to smooth some of the contours as they are extremely jaggedy due to the nature of the data.Is there a way to quickly smooth lines or mass delete points that make up the lines?I am asking because I have 30+ maps and each map has maybe 50lines with each line being made up of currently about 1000 points each...
If I can't find a solution I will probably end up drawing over the contours with the pen tool and just smoothing it that way, as it should be a lot faster then deleting so many points.
I am currently using Illustrator CS5 and have access to CS4.
View 7 Replies
View Related
Nov 8, 2012
how I can quickly add points at the insertion point of a block? I have over 1400 and would like to find the quickest way to do it.
View 7 Replies
View Related
Dec 5, 2013
I have a block that contains attributes. When I select the block, you can see all the nodes/insert points from the attributes within the text. I was wondering if there is anyway to have the block only show the insertion point of the block and not the attributes? The attached image shows what I am talking about.
View 4 Replies
View Related
Feb 21, 2013
Here's an extremely simple example.. It works with a circle or a square, obviously because it has the same height and width. The problem is when you have irregular shapes, (or in this case, an oval). I know I've seen solutions to this in the past, but I just can't think of how to word this question and find them again.
I know you can create multiple strokes for an object in the appearance palette, but I'm looking for something more effective than just having colored stroke > white stroke > colored stroke> white stroke > etc.
Here's a couple examples of the kind of effect I'm looking for.
View 2 Replies
View Related
Nov 27, 2012
is there any way that Autocad can have multiple items placed on the clipboard for insertion use like the Microsoft Office Word programme has (up to 24 inputs). This would be a good feature to allow going to one file, copying what you need and then switching to your current drawing file and placing them as needed
View 6 Replies
View Related
Feb 8, 2013
I had to create a boundary map and place points to all corners. How to export these newly created points back into my data collector (Ranger) and also I'm trying to figure out how to print out a points list.
I stumbled on to this thread but I guessing that it's a different CAD year because my modify tab doesn't look like this. URL.....
View 4 Replies
View Related
Aug 12, 2013
We have been modifying a trim-around-block routine to have as few clicks as possible and though it feels like we'd be able to have the line to be broken auto-selected based off of the insertionpoint that was set as a variable.
;(setq pnt1 (getvar "lastpoint")
; sst1 (osnap pnt1 "nea")
;end setq
;(setq ss (ssget '((0 . "LWPOLYLINE")))) ; limited to Polylines
; (while (> (sslength ss) 0) ; as long as there's anything in [or remaining in] the selection set))
; (setq ent (ssname ss 0)
; paramcount 1
; ) ; first entity in [or remaining in] the selection set paramcount 1); end setq
are about the closest snippets of code that we've managed to find but neither of these are working.
How we can force the program to break the line without the user having to select the line (because they will have already selected the insertpoint, and using osnap nearest would find the line that requires breaking)
View 9 Replies
View Related
Mar 13, 2012
I've been going through some examples on [URL] to create polylines and i've managed to make some code run. One thing that I can't seem to find information on though, is how to use the default AutoCAD command line options in my code. For instance, I would like to be able to prompt the user whether they would like to snap the polyline to an insertion point, everytime they create a new verticie.
Below is some example code from the site that i'm working from:
namespace MyPlineApp
{
public class MyPlineCmds
[Code].....
View 6 Replies
View Related
Nov 24, 2013
How to create a sub-assembly with an insertion point parameter using Sub-assembly composer.
like this one below. I found this under the following sub-assembly. All I want is , when the user inserting the sub-assembly they may need to go on both the sides attached.
Example:
So the user should be able to select from the dropdown if the insertion point is 1 or 2. Before inserting.
View 3 Replies
View Related
Oct 26, 2013
I'm trying to make a rainbow.
I'm using the line tool but when I drag to create a line the line appears but then when i click to create another line it disappears.
View 1 Replies
View Related
Feb 14, 2013
Is there a way to create a block with attributtes that automatically complete x, y, z, lat, long for the insertion point of the block?
I am trying to complete text in paperspace that will automatically fill in the lat long of a point in model space without using a table. I have tried field insertion with reference to a cogo point, but it doesn't give options for position on a cogo point. If I pick a block with attributes, it will let me pick any attributes, and x,y position for the block.
Cogo points show all the information I need to propagate in the properties....but how do I get that to translate into the text using fields or some other method?
Dell Precision T3600 - Windows 7 64-bit
NVIDIA Quadro 600
Intel(R) Xenon(R) CPU E5-1607 0 @ 3.00GHz 3.00GHz
8 GB ram - Two 1TB raid
View 9 Replies
View Related
May 4, 2011
I would like to get more advanced and creative with my creations. basically when i think AutoCAD i think lines so a nice short program to get started with is to create a line between two point (or simular). The tutorials online are wofel in learning the basics such as this is, need few starters on how to achieve this
View 4 Replies
View Related
May 24, 2011
I have some blocks with a point connected to them, the point is free movable, moving the point does not move the block, but moving the block does also move the point. each block has 1 point connected to it.
what i want is to move the point of the blocks i select to the same location. (without moving the blocks themselves)
I am using autocad 2011 (tried to upload the block in question but doesn't seem to be working)
View 9 Replies
View Related
Feb 14, 2013
I need to know if there is a simpler way of adding points to a string 3D polylines which are intersected with multiple 3D faces.
View 4 Replies
View Related
Feb 1, 2012
I want to move a few snap points on a line but not all of them... Usually I would shift + click each individual snap point and then move but when I have a lot of points it gets pretty time consuming.
If there was a way to drag select multiple snap points in a line.
View 4 Replies
View Related
Jul 18, 2012
I'm trying to write a lisp routine to create a two line MLEADER but i can only get one line of text. Creating the MLEADER manually from the command line i just have to hit enter after the first line of text to add a second line. How would i do this in a lisp routine?
View 2 Replies
View Related
Sep 12, 2013
For example, I'm making revisions to a plan and drag a block or xref of the floor plan changes where walls/doors/windows have moved. I want to be able to simply pick the underlying linework as opposed to tracing over each line of said xref/block.
View 8 Replies
View Related
Aug 24, 2012
I have feature line with elevations that represents bottom of ditch and want to go UP 3:1 slope. also i have edge of road feature line that is higher than ditch and want to go 2% down until it hits side of the ditch that is 3:1. Any easiest way in civil 3d to create intersection line between ditch bottom going up 3:1 and edge of road going down 2%?
View 2 Replies
View Related
Nov 12, 2012
Is there as easy way to count the points on a divided line? Example....making contour lines and need to interpolate the points between elevations.
View 3 Replies
View Related
Sep 1, 2012
Is there a way of reversing the start and end points of a line? I have a lot of mirrored lines on my model, and so the direction (start/end) is also mirrored. This poses a problem when i export the model to another program witch has a coordinate system based on the direction of the entity (in this case a line). So i come back to the question, is it possible to change(reverse) the start/end position to already drawn (mirrored) lines? Btw i am using acad2011
View 2 Replies
View Related
Feb 22, 2011
I draw a line then use divide command to put some points with equal distance in this line. some points will then are created on this line but when i move the line, the points do not move. I am wondering if these points can permanently stick to the line so that if i change the position of the line, the position of the points will also change.
View 9 Replies
View Related
Apr 20, 2012
I am trying to put something together that will allow a user to select objects in AutoCAD and then place a block at all the selected points.
Below I have pasted the code that I have so far, but have not been able to test this to see what happens because the Dim ofd part is giving me an error that I have not been able to figure out.
The error that I am getting says that :
Argument not specified for parameter "flags" of "Public Sub New(title As String, defaultName As String, extension As String, dialogName As String, flags As Autodesk.AutoCAD.Windows.OpenFileDialog.OpenFileDialogFlags)
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.Geometry
[code]......
View 9 Replies
View Related
Nov 4, 2013
How to obtain the points in a polyline from multiple lines that cross the polyline.
View 1 Replies
View Related
Dec 13, 2013
I will receive printed out drawings that are entirely drawn with the use of ordinates, putting the 0,0 point in the corner of the part, and dim everything from that corner. Like this example:
The problem I'm having is when I recreate the parts digitally and have multiple parts to dimension, I can do one that looks as clean as the ordinate version, but the rest are dimensioned using the baseline tool, and look like this:
Though it works, it takes a while to make it nice and legible for my print out version. And most the time the parts are more organic and don't have any corners, but this is the best example for my question.
I know I can't have multiple 0,0 points in model space, but I was hoping there would be a better way to achieve the clean look of the ordinate points. Or perhaps create a reference point that can be duplicated, moved, and the ordinates will recognize.
Note: As much as I'd like to use paper space to dimension my parts, I can't.
View 9 Replies
View Related
Mar 26, 2012
I have a problem about creating feature line. When I want to create feature line between two red points, another point come into being by itself (blue point). If you look at the file I have attached, you will understand well what I want to express. I cant make any changes on this point. I cant delete, modify etc.
View 4 Replies
View Related